<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li class="current"><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_j.html#index_j"><span>j</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_func_q.html#index_q"><span>q</span></a></li>
      <li><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_x.html#index_x"><span>x</span></a></li>
      <li><a href="functions_func_y.html#index_y"><span>y</span></a></li>
      <li><a href="functions_func_z.html#index_z"><span>z</span></a></li>
      <li><a href="functions_func_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>Accept()
: <a class="el" href="classflair_1_1core_1_1_connected_socket.html#a8c89979efaba9298d32c58a07021f2e0">flair::core::ConnectedSocket</a>
, <a class="el" href="classflair_1_1core_1_1_tcp_socket.html#af3ea9a03fb31fe36b604060e9386d617">flair::core::TcpSocket</a>
, <a class="el" href="classflair_1_1core_1_1_udt_socket.html#a358a8188b065b8a7fe82c1a8e594e9fb">flair::core::UdtSocket</a>
</li>
<li>AddCurve()
: <a class="el" href="classflair_1_1gui_1_1_data_plot1_d.html#ab0837bfa0a3423c8ef25bf6cf1c2ba76">flair::gui::DataPlot1D</a>
, <a class="el" href="classflair_1_1gui_1_1_data_plot2_d.html#add21a8cf4753bd3329534739cea5073e">flair::gui::DataPlot2D</a>
</li>
<li>AddDataToControlLawLog()
: <a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html#aa642bfeb1d97dec839088e2256a3699b">flair::meta::UavStateMachine</a>
</li>
<li>AddDataToLog()
: <a class="el" href="classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9">flair::core::IODevice</a>
</li>
<li>AddDataToSend()
: <a class="el" href="classflair_1_1gui_1_1_data_plot.html#a382d7831b206f0c4adfcedfd4b483c11">flair::gui::DataPlot</a>
</li>
<li>AddDeviceToControlLawLog()
: <a class="el" href="classflair_1_1meta_1_1_uav_state_machine.html#ab737f2861d5c1901a0f62f54fe2c0855">flair::meta::UavStateMachine</a>
</li>
<li>AddDeviceToLog()
: <a class="el" href="classflair_1_1core_1_1_framework_manager.html#a9f2750ce913b492206761340c666bbb6">flair::core::FrameworkManager</a>
, <a class="el" href="classflair_1_1core_1_1_i_o_device.html#af7b42de6bb3893df860063228b55c229">flair::core::IODevice</a>
</li>
<li>AddItem()
: <a class="el" href="classflair_1_1gui_1_1_combo_box.html#a29815ad9231ddde5acf6d70468da38fa">flair::gui::ComboBox</a>
, <a class="el" href="classflair_1_1gui_1_1_list_widget.html#a32112ea3ed82e77ab7d4f5c820fc6e84">flair::gui::ListWidget</a>
</li>
<li>AddPlot()
: <a class="el" href="classflair_1_1filter_1_1_ahrs.html#a85a9629002734e6f5b7ab8b30c90f7fb">flair::filter::Ahrs</a>
</li>
<li>AddPoint()
: <a class="el" href="classflair_1_1gui_1_1_map.html#a8657888f3bdd7df3a96e89e9f25a9977">flair::gui::Map</a>
</li>
<li>AfroBldc()
: <a class="el" href="classflair_1_1actuator_1_1_afro_bldc.html#a8fbd70c028194020295615b66c35e88f">flair::actuator::AfroBldc</a>
</li>
<li>Ahrs()
: <a class="el" href="classflair_1_1filter_1_1_ahrs.html#a36d3fc4bb2644faae4b3a297b484fad7">flair::filter::Ahrs</a>
</li>
<li>AhrsComplementaryFilter()
: <a class="el" href="classflair_1_1filter_1_1_ahrs_complementary_filter.html#a0d84c007f97464fab7dfddc142bb2838">flair::filter::AhrsComplementaryFilter</a>
</li>
<li>AhrsData()
: <a class="el" href="classflair_1_1core_1_1_ahrs_data.html#aa34ea3b366763a0fab3ac98c3aaacf17">flair::core::AhrsData</a>
</li>
<li>AhrsKalman()
: <a class="el" href="classflair_1_1filter_1_1_ahrs_kalman.html#a1dee3f1399b9bcef3598a5fb05480290">flair::filter::AhrsKalman</a>
</li>
<li>Append()
: <a class="el" href="classflair_1_1gui_1_1_text_edit.html#a2533406d939baf5c858a521d31b4ff78">flair::gui::TextEdit</a>
</li>
<li>AppendLogDescription()
: <a class="el" href="classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d">flair::core::io_data</a>
</li>
<li>ApplyRotation()
: <a class="el" href="classflair_1_1sensor_1_1_imu.html#aaf735d7535414d32e023d5eef8d525fc">flair::sensor::Imu</a>
</li>
<li>AreEnabled()
: <a class="el" href="classflair_1_1actuator_1_1_bldc.html#a82ad883235b4477905ef78b4daf8dccf">flair::actuator::Bldc</a>
</li>
<li>At()
: <a class="el" href="classflair_1_1gui_1_1_layout.html#a114569847168fa89618e6b09cee23c8e">flair::gui::Layout</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:24 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
